Subject: Re: bug#59149: [SPAM UNSURE] Re: bug#59149: Feature Request: Report progress of long requests in Eglot
From: João Távora <[email-masked]>
To: Danny Freeman <[email-masked]>, [email-masked]
Cc: Eli Zaretskii <[email-masked]>, [email-masked], Stefan Kangas <[email-masked]>
Date: Fri, 9 Dec 2022 13:06:47 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I just pushed this to the emacs-29 branch, as it's a feature within
a new feature for that branch already.

Danny, I also tweaked the implementation slightly to use a hash table
instead of an alist.  I didn't actually test this, as I have no server handy
that supplies these $/progress notifications, but it should be functionally
equivalent.  let me know if it's not, it's easy to tweak.

Also, I added a missing entry in the eglot.texi manual.

João

On Sat, Dec 3, 2022 at 1:23 PM João Távora <[email-masked]> wrote:

> Hi Danny,
>
> Thanks, no it hasn't.  But I have a lot of little things to do and
> limited free time. Your patch should be next in the queue,
> though.
>
> João
>

-- 
João Távora